Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/reading/listreadinghighlights

# List highlights

GET `https://api.rewind.rest/v1/reading/highlights`

Returns all highlights newest first, with parent article context.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### page (query, integer)

#### limit (query, integer)

## Response

#### 200

Paginated highlights

#### data (array of object, required)

#### properties

#### id (number, required)

#### text (string, required)

#### note (string, required)

#### position (number, required)

#### chapter (string, required)

#### page (number, required)

#### created\_at (string, required)

#### article (object, required)

#### pagination (object, required)

#### properties

#### page (integer, required)

#### limit (integer, required)

#### total (integer, required)

#### total\_pages (integer, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/reading/highlights' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/reading/highlights', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/reading/highlights',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "id": 0,
      "text": "string",
      "note": "string",
      "position": 0,
      "chapter": "string",
      "page": 0,
      "created_at": "string",
      "article": {
        "id": "\u2026",
        "title": "\u2026",
        "author": "\u2026",
        "domain": "\u2026",
        "url": "\u2026",
        "instapaper_url": "\u2026",
        "instapaper_app_url": "\u2026"
      }
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 150,
    "total_pages": 8
  }
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
